corda / net.corda.contracts.asset / Obligation / Terms

# Terms

`data class Terms<P>`

Subset of state, containing the elements specified when issuing a new settlement contract.

### Parameters

`P` - the product the obligation is for payment of.

### Constructors

<init> | `Terms(acceptableContracts: NonEmptySet<SecureHash>, acceptableIssuedProducts: NonEmptySet<Issued<P>>, dueBefore: Instant, timeTolerance: Duration = Duration.ofSeconds(30))` Subset of state, containing the elements specified when issuing a new settlement contract.

### Properties

acceptableContracts | `val acceptableContracts: NonEmptySet<SecureHash>` The hash of the asset contract we're willing to accept in payment for this debt.
acceptableIssuedProducts | `val acceptableIssuedProducts: NonEmptySet<Issued<P>>` The parties whose assets we are willing to accept in payment for this debt.
dueBefore | `val dueBefore: Instant` When the contract must be settled by.
product | `val product: P`
timeTolerance | `val timeTolerance: Duration`